curl -X POST "https://api.unipay.com/v1/quotes/quote_123/refresh" \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.unipay.com/v1/quotes/quote_123/refresh',
{
method: 'POST',
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
{
"quoteId": "quote_123",
"outputAmount": "1852.30",
"priceImpact": 0.18,
"expiresAt": "2026-04-22T12:20:00Z"
}
Quotes
Refresh Quote
Refresh an existing quote with updated pricing
POST
/
v1
/
quotes
/
{quoteId}
/
refresh
curl -X POST "https://api.unipay.com/v1/quotes/quote_123/refresh" \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.unipay.com/v1/quotes/quote_123/refresh',
{
method: 'POST',
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
{
"quoteId": "quote_123",
"outputAmount": "1852.30",
"priceImpact": 0.18,
"expiresAt": "2026-04-22T12:20:00Z"
}
Refresh Quote
Refresh an existing quote to get updated pricing without creating a new quote.Path Parameters
string
required
The quote ID to refresh
Response
string
Same quote identifier
string
Updated output amount
number
Updated price impact
string
New expiration timestamp
curl -X POST "https://api.unipay.com/v1/quotes/quote_123/refresh" \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.unipay.com/v1/quotes/quote_123/refresh',
{
method: 'POST',
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
{
"quoteId": "quote_123",
"outputAmount": "1852.30",
"priceImpact": 0.18,
"expiresAt": "2026-04-22T12:20:00Z"
}